Monday , January 23 2017

Applying Service Packs on Exchange 2007 SP2 to Sp3 Rollup 17

We recommend that you upgrade your Exchange 2007 Server that are running the Mailbox server role after you upgrade your servers that are running other server roles in the following list.

Upgrade your Exchange 2007 Server Roles in the following order:

  • Client Access servers

  • Unified Messaging servers

  • Hub Transport servers

  • Edge Transport servers

  • Mailbox servers

Ran – Setup /PrepareSchema 

You can run On Active directory Server or Mailbox Server

   Organization Checks              ……………………. FAILED
    A reboot from a previous installation is pending. Please restart the system
and rerun setup.

image

Start – Run – Regedit

(Take backup of registry location)

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\PendingFileRenameOperations

image

Cleared the Registry value ,

Ran

Setup /PrepareSchema

image

Setup /Preparedomain

image

Setup /PrepareAD

image

Logged in to Edge Transport Server – Ran the Exchange 2007 Sp3 Setup.exe

image

image

Restarted the Server after once service pack is applied.

Ran the Rollup 17 for Exchange Server 2007 Service Pack 3 KB3056710

image

Updated the rollup , Restarted the Server.

Now logged into the Exchange Mailbox Server.

Ran the Exchange 2007 Server Sp3 setup.

Restarted the Server.

Ran the Rollup 17

Restarted the Server.

Now Exchange 2007 Server is ready for Exchange 2013 Coexistence.

About Satheshwaran Manoharan

Satheshwaran Manoharan is an Microsoft Exchange Server MVP , Publisher of CareExchange.in Supporting/Deploying/Designing Microsoft Exchange for some years. Extensive experience on Microsoft Technologies.

Check Also

Mailbox Replication Service was unable to connect to the remote server

Office 365 Mailbox Migration Error – The migration encountered an error The Mailbox Replication Service ...

2 comments

  1. HI,

    We are running Exchange 2007 SP2 on windows server 2008 SP2 and looking to update it to Exchange SP3 with the latest rollup.Is this supported..?

    Please let me know as i seem to find quite a few different articles with regards to this as some people say it is supported and some say it is not.

    • It is supported – https://technet.microsoft.com/en-us/library/ff607233(v=exchg.80).aspx

      Windows Installer version 4.5 is a prerequisite to installing Exchange 2007 SP3. This is required for upgrade scenarios and for new installations of Exchange 2007 SP3.
      To address this issue, install the latest version of Windows Installer before you install Exchange 2007 SP3. After you install Windows Installer 4.5, you may have to restart the computer. To install this software, see Windows Installer 4.5 Redistributable.
      noteNote:
      You do not have to download and install Windows Installer 4.5 on a computer that is running Windows Server 2008 Service Pack 2 (SP2). Windows Server 2008 SP2 includes Windows Installer 4.5.

Leave a Reply

Your email address will not be published.